# ServerDefinitionsRequest | xrpl
Documentation for xrpl

# Interface ServerDefinitionsRequest

The `server_definitions` method retrieves information about the definition enums available in this rippled node. Expects a response in the form of a ServerDefinitionsResponse.

#### Hierarchy

- BaseRequest
  - ServerDefinitionsRequest

- Defined in packages/xrpl/src/models/methods/serverDefinitions.ts:10

#####
Index

### Properties

api_version?
command
hash?
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: "server_definitions"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/serverDefinitions.ts:11

### `Optional` hash

hash?: string

The hash of a `server_definitions` response.

- Defined in packages/xrpl/src/models/methods/serverDefinitions.ts:15

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

Generated using TypeDoc